Module modGlobal

    Public bActive As Boolean = False
    Public ApplicationSettingsXML As Sezz.XML.Settings
    Public ApplicationSettings As Sezz.ApplicationSettings
    Public ItemRarityColors(8) As Color

    Public Function AssemblyCreationDate() As DateTime
        Dim AssemblyVersion As System.Version = System.Reflection.Assembly.GetExecutingAssembly().GetName().Version
        Dim dtBuild As DateTime = New DateTime(2000, 1, 1).AddDays(AssemblyVersion.Build).AddSeconds(AssemblyVersion.MinorRevision * 2)
        If TimeZone.IsDaylightSavingTime(dtBuild, TimeZone.CurrentTimeZone.GetDaylightChanges(dtBuild.Year)) Then
            dtBuild = dtBuild.AddHours(1)
        End If
        Return dtBuild
    End Function

End Module
